Skip to content

Verify registered agent key control and current authority

POST
/api/verification/prove
curl --request POST \
--url https://agentauthority.org/api/verification/prove \
--header 'Content-Type: application/json' \
--data '{ "challenge": {}, "signature": "example" }'
Media typeapplication/json
ProofRequest
object
challenge
required
Challenge
object
key
additional properties
any
signature
required
Signature
string
/^[A-Za-z0-9_-]{86}$/

Example generated

{
"challenge": {},
"signature": "example"
}

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}